<template>
  <header class="header">
    <router-link to="/">
      <back-icon />
    </router-link>
    <h1 class="title">Корзина с выбранными товарами</h1>
    <router-link to="/start">
      <the-button buttonText="Выйти"
        isBlack
        @click="logout"
      />
    </router-link>
  </header>
</template>

<script>
import TheButton from '@/components/ui/TheButton'
import BackIcon from '@/components/icons/BackIcon'

export default {
  components: {
    BackIcon, TheButton
  },
  setup () {
    const logout = () => {
      localStorage.isAuthorized = false
    }
    return {
      logout
    }
  }
}

</script>

<style lang="scss" scoped>
.header {
  margin-top: 53px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 0 63px;

  .title {
    color: #FFFFFF;
    font-family: Montserrat;
    font-size: 31px;
    font-weight: 700;
    text-transform: uppercase;
  }
}
</style>
